Description

Hi,

While building new machine I am getting below error on proxy log,

D, [2017-05-19T20:39:03.749297 #503] DEBUG -- : Found puppetca at /usr/sbin/puppet

D, [2017-05-19T20:39:03.749432 #503] DEBUG -- : Found sudo at /usr/bin/sudo

D, [2017-05-19T20:39:03.749490 #503] DEBUG -- : Executing /usr/bin/sudo S /usr/sbin/puppet cert --ssldir /opt/ec/puppet/var/ssl

--clean hostteam3.ffi.expertcity.com

I, [2017-05-19T20:39:06.027325 #503]  INFO - : cleaned puppet certificate for hostteam3.ffi.expertcity.com

E, [2017-05-19T20:39:06.084360 #503] ERROR -- : Failed to enable autosign for hostteam3.ffi.expertcity.com: Permission denied -

/etc/puppetmaster/autosign.conf

History

#1 - 05/20/2017 04:16 AM - Anonymous

- Status changed from New to Feedback

- Priority changed from Immediate to Normal

exactly as it says. the user, foreman-proxy is running under can't write to /etc/puppetmaster/autosign.conf

#2 - 05/20/2017 04:35 AM - tarak sinha

Michael Moll wrote:

exactly as it says. the user, foreman-proxy is running under can't write to /etc/puppetmaster/autosign.conf

 Hi Michael,

Thanks to respond, but puppet user has enough permission on this file.

ll /etc/puppetmaster/

total 36

rw-r--r- 1 puppet puppet   24 Jul 11  2014 auth.conf

rwxr-xr-x 1 puppet puppet  995 Jul 11  2014 auth.conf_bak

-rw-r--r- 1 root   root   2921 Jul 11  2014 auth.conf_more_bak

rwxr-xr-x 1 puppet puppet 4771 May 16 13:28 autosign.conf

drwxr-xr-x 4 nginx  nginx  4096 Jul 11  2014 environments

drwxr-xr-x 2 puppet puppet 4096 Jul 11  2014 manifests

-rw-r--r- 1 puppet puppet  442 Jul 12  2014 puppet.conf

drwxr-xr-x 2 puppet puppet 4096 May 18  2015 scripts

#3 - 05/20/2017 05:23 AM - Anonymous

I was mentioning explicitely that it's about the user, the proxy is running under. Also directory permissions are important.

Looking at your past issues it seems you want to create a completely non-standard setup without experience with at least the Foreman part, I would

advise to build a standard setup and once you know all the relations of the components continue to more advanced setups.

#4 - 05/20/2017 08:23 AM - tarak sinha

Michael Moll wrote:
I was mentioning explicitely that it's about the user, the proxy is running under. Also directory permissions are important.

Looking at your past issues it seems you want to create a completely non-standard setup without experience with at least the Foreman part, I

would advise to build a standard setup and once you know all the relations of the components continue to more advanced setups.

 Directory permission is also given to puppet user with 755. I don't understand which user you are referring? let me know

#5 - 05/20/2017 08:53 AM - Anonymous

I don't understand which user you are referring?

 The UNIX user, the foreman proxy is running under.

#6 - 05/20/2017 08:58 AM - tarak sinha

Michael Moll wrote:

I don't understand which user you are referring?

 The UNIX user, the foreman proxy is running under.

 what permission need to provide for unix user. It was root user but that puppet directory given permission for puppet.

#7 - 05/20/2017 09:04 AM - Anonymous

This is going nowehere. As said, please start with a standard setup to learn things and read the docs. Then start with more complicated things. It feels

to me some basic UNIX knowledge is also completely missing here.
